# Uses of Interface
org.eclipse.team.ui.mapping.ITeamStateChangeListener

Packages that use ITeamStateChangeListener
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ITeamStateChangeListener in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type ITeamStateChangeListener
Modifier and Type
Method
Description
`void`
ITeamStateProvider.`addDecoratedStateChangeListener(ITeamStateChangeListener listener)`
Add a decorated state change listener to the provider.
`void`
ITeamStateProvider.`removeDecoratedStateChangeListener(ITeamStateChangeListener listener)`
Remove the decorated state change listener to the provider.

## Uses of ITeamStateChangeListener in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type ITeamStateChangeListener
Modifier and Type
Method
Description
`void`
TeamStateProvider.`addDecoratedStateChangeListener(ITeamStateChangeListener listener)`
`void`
TeamStateProvider.`removeDecoratedStateChangeListener(ITeamStateChangeListener listener)`